Survey: SPLASH-SXDF Multi-Wavelength Photometric Catalog

Telescope: Several

Instrument: Several

Filters: Several

P.I.: Vihang Mehta

Reference: 2018ApJS..235...36M

Publication date: November 2017
